<?php
/**
 * CustomerStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * CRM
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CrmClient\Dto;
use \Ensi\CrmClient\ObjectSerializer;

/**
 * CustomerStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные статусы:   * 1 - создан   * 2 - новый (заполнены телефон и портфолио)   * 3 - на проверке   * 4 - отклонен   * 5 - активный   * 6 - проблемный   * 7 - заблокирован   * 8 - потенциальный реферальный партнер   * 9 - временно приостановлен
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class CustomerStatusEnum
{
    /**
     * Possible values of this enum
     */
    const CREATED = 1;
    const NEW = 2;
    const CONSIDERATION = 3;
    const REJECTED = 4;
    const ACTIVE = 5;
    const PROBLEM = 6;
    const BLOCK = 7;
    const POTENTIAL_RP = 8;
    const TEMPORALITY_SUSPENDED = 9;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::CREATED,
            self::NEW,
            self::CONSIDERATION,
            self::REJECTED,
            self::ACTIVE,
            self::PROBLEM,
            self::BLOCK,
            self::POTENTIAL_RP,
            self::TEMPORALITY_SUSPENDED,
        ];
    }
}


